Package com.xebialabs.xlrelease.configuration

# Class CustomLogoSettings

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.BaseSettings
com.xebialabs.xlrelease.configuration.CustomLogoSettings

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=CONFIGURATION, versioned=false, description="Logo file (recommended size 24*100px)") public class CustomLogoSettings extends BaseSettings

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CUSTOM_LOGO_SETTINGS_ID`

  ### Fields inherited from class com.xebialabs.xlrelease.domain.BaseSettings

  `BASE_ID`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomLogoSettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContent()`
  `String`
  `getContentType()`
  `String`
  `getFilename()`
  `void`
  `setContent(String content)`
  `void`
  `setContentType(String contentType)`
  `void`
  `setFilename(String filename)`
  `void`
  `validateContentType()`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getFolderId, getTitle, hasId, isSupportedOn, setFolderId, setTitle`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CUSTOM_LOGO_SETTINGS_ID

    public static final String CUSTOM_LOGO_SETTINGS_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CustomLogoSettings

    public CustomLogoSettings()

- ## Method Details

  - ### getFilename

    public String getFilename()

  - ### setFilename

    public void setFilename(String filename)

  - ### getContentType

    public String getContentType()

  - ### setContentType

    public void setContentType(String contentType)

  - ### getContent

    public String getContent()

  - ### setContent

    public void setContent(String content)

  - ### validateContentType

    public void validateContentType()